Bug 1490867 - Hack SeaMonkey build until fallout from Bug 1490765 is properly fixed. r=frg
authorBill Gianopoulos <wgianopoulos@gmail.com>
Sat, 15 Sep 2018 06:58:45 -0400
changeset 33161 d0a694c28bf8646db77f58c39e3ac3bc65b3764c
parent 33160 4fa52926ba4ca23231d2df2c5ce819666bbf4652
child 33162 0d6094a42d38d24e7443a86f4f0006b8b8e730a4
push id387
push userclokep@gmail.com
push dateMon, 10 Dec 2018 21:30:47 +0000
reviewersfrg
bugs1490867, 1490765
Bug 1490867 - Hack SeaMonkey build until fallout from Bug 1490765 is properly fixed. r=frg
suite/confvars.sh
--- a/suite/confvars.sh
+++ b/suite/confvars.sh
@@ -1,14 +1,24 @@
 #! /bin/sh
 # This Source Code Form is subject to the terms of the Mozilla Public
 # License, v. 2.0. If a copy of the MPL was not distributed with this
 # file, You can obtain one at http://mozilla.org/MPL/2.0/.
 
-. ${_topsrcdir}/$MOZ_BUILD_APP/../comm-confvars.sh
+export moztopsrcdir=${srcdir}
+export commtopsrcdir=${srcdir}/comm
+export mozreltopsrcdir=.
+export commreltopsrcdir=comm
+export commtopobjdir=${_objdir}/comm
+tmpscript=`$PYTHON -c 'import os, tempfile; print tempfile.mktemp(prefix="subscript.").replace(os.sep, "/")'` || exit 1
+m4 "${srcdir}/build/autoconf/subconfigure.m4" \
+    "${srcdir}/build/autoconf/altoptions.m4" \
+    "${srcdir}/${MOZ_BUILD_APP}/configure.in" > $tmpscript
+. $tmpscript
+rm -f $tmpscript
 
 MOZ_APP_BASENAME=SeaMonkey
 MOZ_APP_VENDOR=Mozilla
 MOZ_APP_NAME=seamonkey
 MOZ_APP_DISPLAYNAME=SeaMonkey
 MOZ_BRANDING_DIRECTORY=comm/suite/branding/seamonkey
 MOZ_OFFICIAL_BRANDING_DIRECTORY=comm/suite/branding/seamonkey
 MOZ_UPDATER=1